### Method

# FwupdPlugin Backend get_devices

since: 1.6.1

#### Declaration [src]

    GPtrArray*
    fu_backend_get_devices (
      FuBackend* self
    )

#### Description [src]

Gets all the devices added by the backend.

Available since: 1.6.1

#### Return value

Type: An array of `FuDevice*`

Devices.

The caller of the method takes ownership of the returned data container, but not the data inside it.